This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 304011 - No maximum length for the 'Home directory' within Create/Modify user
No maximum length for the 'Home directory' within Create/Modify user
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 16:47 EDT by ray hammond
Modified: 2016-06-03 12:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-03 12:24:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ray hammond 2007-09-24 16:47:59 EDT
Description of problem:
The length on data permitted within the 'Home directory' seems infinite

Version-Release number of selected component (if applicable):
1.2.64

How reproducible:
Every time

Steps to Reproduce:
1. Open the utility system-config-users.
2. Select the 'Create user' option.
3. Enter a user name i.e. jessica.
4. Enter a password into both fields.
5. Enter a stupidly long home directory, more that 4k in length.
6, Press OK.
  
Actual results:
The user is created; however, the column containing the home directory, within
the main list blanks.  Further more, the new user cannot be deleted; any attempt
to delete the new user results in the utility locking.

Expected results:
A maximum length should be added to the offending field.

Additional info:
Comment 1 Nils Philippsen 2007-10-01 09:34:36 EDT
I've set max length of the homedir text entries to whatever the OS reports as
maximum path length in the Hg repo.
Comment 2 Nils Philippsen 2007-10-05 10:53:33 EDT
I've built system-config-users-1.2.69-1.fc8 for Rawhide, but I'll wait a while
to pick up translations before I'll build (a later version) for F7. It would be
good if you could try out whether 1.2.69 from Rawhide fixes things for you in
the meantime.
Comment 3 ray hammond 2007-10-19 18:08:52 EDT
I have tested version 1.2.72 within Fedora 8 Test 3.

If you type (or paste) in a really long path, until you reach the maximum
applied and then press OK.  The utility saves the record; however, an attempt to
"su - kate" from root results in the following:

[root@localhost ~]# su - kate
su: warning: cannot change directory to /home/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/real
                                                                            
lylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylon
                                                                            
gpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath
                                                                            
/reallylongpath/reallylongpath/reallylongpath/reallylong: File name too long
-bash: /home/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallyl
                                                                            
ongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpa
                                                                            
th/reallylongpath/reallylongpath/reallylongpath/reallylongpath/reallylongpath/re
                                                                            
allylongpath/reallylong/.bash_profile: File name too long


Comment 4 ray hammond 2007-10-19 18:30:09 EDT
A little more information.  I have just added a print command to
/usr/share/system-config-users/system-config-users.py  the maximum length
applied is 4096.  I then extract the path from /etc/passed and used "wc -m
./mytestfile" to count the character length.  Wc report 4097.  Hope that helps.
Comment 5 ray hammond 2007-10-26 17:04:29 EDT
I've just noticed a typing mistake in my previous comment.  
I meant /etc/passwd not /etc/passed.
Comment 6 Bug Zapper 2008-05-14 10:28:53 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 ray hammond 2008-06-07 18:35:07 EDT
The problem still occurs in Fedora 9.
Comment 8 Bug Zapper 2009-06-09 18:51:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Nils Philippsen 2009-06-10 11:03:16 EDT
Sorry for taking so long to respond.

(In reply to comment #4)
> A little more information.  I have just added a print command to
> /usr/share/system-config-users/system-config-users.py  the maximum length
> applied is 4096.  I then extract the path from /etc/passed and used "wc -m
> ./mytestfile" to count the character length.  Wc report 4097.  Hope that helps.  

Hm, I guess that the file might contain a new line character which isn't in the home directory itself. The problem in that case is that the home directory path isn't too long, only that of the files contained. I'm unsure about where to draw the line -- maximum path length minus 100 characters? 95% of max path length? Do you have an idea?
Comment 10 Bug Zapper 2009-11-16 02:57:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-11-04 08:06:43 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Nils Philippsen 2010-11-04 09:06:49 EDT
Marking FutureFeature so that this doesn't get lost.
Comment 13 Jaromír Končický 2014-03-26 10:09:19 EDT
Hmm, I tried to create user with home directory 4096 characters long and when I pressed ok, s-c-u crashed with error message:

/usr/share/system-config-users/messageDialog.py:33: GtkWarning: Native Windows wider or taller than 32767 pixels are not supported
  rc = dlg.run()

so it even could not display such a long name. There can be also more problems with extremely long path name, like the one in comment #3.
Considering that a "clever user" would never (in normal cases) have a reason to enter an extremely long path name, is it even worth caring about this? From my point of view, limiting the length to system maximum is enough we can do.
So I suggest closing it.
Comment 14 Nils Philippsen 2016-06-03 12:24:26 EDT
Agreed, closing. And sorry for the long wait.

Note You need to log in before you can comment on or make changes to this bug.